Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Interface LocationListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  LocationAdapter

    public interface LocationListener

extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive a `LocationEvent` notification when a `Browser` navigates to a different URL.

Since:
  3.0
See Also:
  `Browser.addLocationListener(LocationListener)`, `Browser.removeLocationListener(LocationListener)`

Method Summary
`void` `changed(LocationEvent event)` This method is called when the current location is changed.
`void` `changing(LocationEvent event)` This method is called when the current location is about to be changed.

Method Detail

### changing

    void changing(LocationEvent event)

  This method is called when the current location is about to be changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the location to be loaded
  - (in) widget the `Browser` whose location is changing
  - (in/out) doit can be set to `false` to prevent the location from being loaded

  Parameters:
    `event` - the `LocationEvent` that specifies the location to be loaded by a `Browser`
  Since:
    3.0

### changed

    void changed(LocationEvent event)

  This method is called when the current location is changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the current location
  - (in) top `true` if the location opens in the top frame or `false` otherwise
  - (in) widget the `Browser` whose location has changed

  Parameters:
    `event` - the `LocationEvent` that specifies the new location of a `Browser`
  Since:
    3.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.